python-oslo.messaging (12.9.1-0ubuntu4~cloud0) focal-xena; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 20 Sep 2021 12:35:58 +0000

python-oslo.messaging (12.9.1-0ubuntu4) impish; urgency=medium

  * d/control, d/py3dist-overrides: Add oslo.metrics to Depends as it is a
    hard dependency.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 17 Sep 2021 13:34:44 -0400

python-oslo.messaging (12.9.1-0ubuntu3) impish; urgency=medium

  * d/py3dist-overrides: Add oslo.metrics until it is in Ubuntu main.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 16 Sep 2021 09:02:58 -0400

python-oslo.messaging (12.9.1-0ubuntu2) impish; urgency=medium

  * d/control: Drop min version of python3-confluent-kafka to 1.1.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Sep 2021 18:00:25 -0400

python-oslo.messaging (12.9.1-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.
  * d/control: Align Build-Depends and Suggests with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Sep 2021 09:13:42 -0400

python-oslo.messaging (12.7.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 17 Mar 2021 13:36:27 -0400

python-oslo.messaging (12.6.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 21 Jan 2021 15:18:45 +0000

python-oslo.messaging (12.5.0-0ubuntu1) groovy; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 09 Oct 2020 08:02:43 +0000

python-oslo.messaging (12.4.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 11 Sep 2020 15:57:21 -0400

python-oslo.messaging (12.3.0-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/no-functional-test.patch: Refreshed.

  [ Corey Bryant ]
  * d/control: Restore min versions of python3-eventlet and python3-tenacity.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Sep 2020 08:59:27 -0400

python-oslo.messaging (12.2.1-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control, d/copyright, d/rules: Update upstream git URL.
  * d/p/resolve-issues-with-kombu-greater-than-4.6.8.patch: Dropped.
    Fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 29 Jul 2020 19:27:34 -0400

python-oslo.messaging (12.2.0-0ubuntu2) groovy; urgency=medium

  * d/p/resolve-issues-with-kombu-greater-than-4.6.8.patch: Cherry-picked
    from upstream master to fix test failures that we're seeing with
    d/t/python-ostestr.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Jul 2020 10:17:57 -0400

python-oslo.messaging (12.2.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules: Switch to debhelper compat 12 and pybuild.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 11 Jun 2020 09:40:22 -0400

python-oslo.messaging (12.1.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Apr 2020 14:46:55 -0400

python-oslo.messaging (11.0.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 11 Mar 2020 15:52:50 -0400

python-oslo.messaging (10.5.0-0ubuntu1) focal; urgency=medium

  * New uptream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 03 Feb 2020 10:45:16 +0000

python-oslo.messaging (10.4.0-0ubuntu2) focal; urgency=medium

  * d/t/python-import: Ensure this test is py3-only.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Dec 2019 13:09:37 -0500

python-oslo.messaging (10.4.0-0ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control: Drop zmq and move kakfa Depends -> Suggests.
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/pydist3-overrides: Add kafka(-python).
    - d/t/python-ostestr: Run unit tests for dep8.
    - d/t/python-import: Add oslo module import test.
    - d/watch: Use upstream release tarballs.
  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 05 Dec 2019 14:29:45 -0500

python-oslo.messaging (10.2.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 00:22:23 +0200

python-oslo.messaging (10.2.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Added python3-oslo.i18n as (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Sep 2019 13:13:00 +0200

python-oslo.messaging (9.7.1-0ubuntu3) eoan; urgency=medium

  * d/tests/*: Drop Python 2.7 tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 26 Jun 2019 14:04:35 -0400

python-oslo.messaging (9.7.1-0ubuntu2) eoan; urgency=medium

  * d/control, d/tests/*: Restore python-import test and drop
    autopkgtest-pkg-python as it does not work with oslo packages.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 21 Jun 2019 10:09:05 -0400

python-oslo.messaging (9.7.1-0ubuntu1) eoan; urgency=medium

  * Merge from Debian experimental.  Remaining changes:
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/control: Drop zmq and move kakfa Depends -> Suggests.
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/pydist3-overrides: Add kafka(-python).
    - d/t/python-ostestr: Run unit tests for dep8.
    - d/watch: Use upstream release tarballs.
  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 07 Jun 2019 11:25:14 -0400

python-oslo.messaging (9.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 01:29:58 +0200

python-oslo.messaging (9.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.
  * Removed oslo-messaging-zmq-receiver package.
  * Removed applied upstream:
    Use_ensure_connection_to_prevent_loss_of_connection_error_logs.patch

 -- Thomas Goirand <zigo@debian.org>  Wed, 20 Mar 2019 21:37:59 +0100

python-oslo.messaging (9.5.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Mar 2019 16:03:41 +0000

python-oslo.messaging (9.3.1-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Switch to using python{3}-confluent-kafka.
  * d/tests/control: Drop use of needs-recommends.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Jan 2019 14:22:39 +0000

python-oslo.messaging (9.2.0-0ubuntu2) disco; urgency=medium

  * d/python3-oslo.messaging.postinst: Prefer Py3 alternatives.

 -- James Page <james.page@ubuntu.com>  Tue, 20 Nov 2018 12:05:20 +0000

python-oslo.messaging (9.2.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream, drop support
    for ZeroMQ.

 -- James Page <james.page@ubuntu.com>  Wed, 14 Nov 2018 15:22:20 +0000

python-oslo.messaging (8.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Jan 2019 23:01:57 +0100

python-oslo.messaging (8.1.0-3) unstable; urgency=medium

  * Add Use_ensure_connection_to_prevent_loss_of_connection_error_logs.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 21 Nov 2018 15:49:06 +0100

python-oslo.messaging (8.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Sep 2018 23:08:41 +0200

python-oslo.messaging (8.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed all patches, all applied upstream.
  * Fixed (build-)depends for this release.
  * Rebased no-functional-test.patch.

 -- Thomas Goirand <zigo@debian.org>  Sun, 19 Aug 2018 23:18:20 +0200

python-oslo.messaging (8.1.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/0001-py37-drop-use-of-async-as-parameter-name.patch,
    d/p/0002-py37-deal-with-Exception-repr-changes.patch,
    d/p/stopiteration.patch: Dropped. Fixed in upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Jul 2018 15:37:07 -0400

python-oslo.messaging (6.5.0-0ubuntu1) cosmic; urgency=medium

  * Misc Python 3.7 fixes:
    - d/p/0001-py37-drop-use-of-async-as-parameter-name.patch: Drop use
      of async as parameter/attribute name.
    - d/p/stopiteration.patch: Updates for PEP-479
    - d/p/0002-py37-deal-with-Exception-repr-changes.patch: Deal with
      changes in behaviour in repr(Exception(...)).
  * New upstream release for OpenStack Rocky.

 -- James Page <james.page@ubuntu.com>  Thu, 05 Jul 2018 07:19:17 -0500

python-oslo.messaging (6.4.1-0ubuntu2) cosmic; urgency=medium

  * d/tests/*,d/control: Add autopkgtests to exercise import and unit
    tests as part of Ubuntu CI, resolving current failures.
  * d/control: Use python3-sphinx for docs build.

 -- James Page <james.page@ubuntu.com>  Mon, 18 Jun 2018 22:08:20 +0100

python-oslo.messaging (6.4.1-0ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/watch: Use upstream release tarballs.
    - d/control: Demote zmq and kakfa Depends -> Suggests.
    - d/control: Update Vcs-* fields.
    - d/p/*: Disable use of pifpaf, skip unit tests that won't pass
      in LP buildd.
  * New upstream release for OpenStack Rocky.
  * Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 13 Jun 2018 11:42:07 +0100

python-oslo.messaging (5.35.0-3) unstable; urgency=medium

  [ Thomas Goirand ]
  * Remove all non-zmq tests blacklist.
  * Add 2 python 3.7 patches, thanks to James Page for them:
    - python3.7-deal-with-Exception-repr-changes.patch.
    - python3.7-do-not-use-async.patch.
  * Use team+openstack@tracker.debian.org as maintainer.
  * Add remove-test_zmq_address.py.patch.

  [ Michal Arbet ]
  * d/control: Bump debhelper
  * d/control: Add me to Uploaders field
  * d/control: Bump Standards version
  * d/control: Remove python-sphinx from build-dependencies
  * d/control: Add python3-sphinx to build-dependencies
  * d/control: Remove python-openstackdocstheme from build-dependencies
  * d/control: Add python3-openstackdocstheme to build-dependencies
  * d/control: Remove python pika libraries
  * d/rules: Switch generating docs to python3
  * d/copyright: Add me to copyright
  * d/patches: Remove remove-test_zmq_address.py.patch
  * d/patches: Add remove-zmq-tests.patch
  * d/patches: Add replace-raise-stop-iteration-with-return.patch
  * d/patches: Add remove-deprecated-pika-driver.patch

 -- Michal Arbet <michal.arbet@ultimum.io>  Fri, 13 Jul 2018 13:48:28 +0100

python-oslo.messaging (5.35.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 21:24:42 +0000

python-oslo.messaging (5.35.0-1) experimental; urgency=medium

  * Set VCS URLs to point to salsa.
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_test.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Feb 2018 08:45:06 +0000

python-oslo.messaging (5.35.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 26 Jan 2018 10:47:48 +0000

python-oslo.messaging (5.34.1-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Bumped Standards-Version to 4.1.2.
  * d/control: Bump minimum debhelper version to 10, drop direct depends
    on dh-systemd.
  * d/p/drop-openstackdoctheme.patch: Dropped, no longer needed.

 -- James Page <james.page@ubuntu.com>  Fri, 08 Dec 2017 11:22:43 +0000

python-oslo.messaging (5.33.1-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Tue, 14 Nov 2017 11:37:06 +0000

python-oslo.messaging (5.30.2-2) unstable; urgency=medium

  * Calls update-alternatives oslo-messaging-zmq-proxy to remove it from
    /usr/bin when upgrading from Stretch (Closes: #881774).
  * Do not run zeromq tests which are failing, and that probably absolutely
    nobody cares about.

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Jan 2018 16:16:14 +0100

python-oslo.messaging (5.30.2-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 Dec 2017 08:12:28 +0000

python-oslo.messaging (5.30.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Switched to debhelper 10.
  * Missing runtime lsb-base depends.
  * Standards-Version is now 4.1.1.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Nov 2017 22:20:34 +0000

python-oslo.messaging (5.30.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Rebased patches, removed git call in doc fix patch (not needed now).
  * Removed now useless transition package.
  * Blacklist RpcKombuHATestCase tests (broken).
  * Fixed alternatives in /usr/bin.

  [ Daniel Baumann ]
  * Updating standards version to 4.0.1.
  * Deprecating priority extra as per policy 4.0.1.
  * Updating standards version to 4.1.0.

 -- Thomas Goirand <zigo@debian.org>  Sat, 05 Aug 2017 18:04:39 +0200

python-oslo.messaging (5.30.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 11 Aug 2017 18:00:24 -0400

python-oslo.messaging (5.28.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 06 Jul 2017 15:49:42 -0400

python-oslo.messaging (5.26.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Jun 2017 09:26:04 +0100

python-oslo.messaging (5.22.0-0ubuntu1) artful; urgency=medium

  [ Chuck Short ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Remove skipping of tests.

  [ James Page ]
  * d/watch: Use tarballs.openstack.org.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 21 Apr 2017 10:03:35 +0100

python-oslo.messaging (5.17.1-0ubuntu1) zesty; urgency=medium

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 27 Feb 2017 08:58:49 -0500

python-oslo.messaging (5.17.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Add dep-8 test.
  * d/patches/try-using-future-absolute-import.patch: Dropped no longer
    needed.
  * d/patches/fixes-monkey_patch-call.patch: Dropped no longer needed.
  * d/pydist-overrides: Add kafka since is experimental support.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 19 Jan 2017 09:20:30 -0500

python-oslo.messaging (5.16.0-0ubuntu2) zesty; urgency=medium

  * d/patches/skip-tests.patch: Skip failing tests in buildds. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 11 Jan 2017 11:12:38 -0500

python-oslo.messaging (5.16.0-0ubuntu1) zesty; urgency=medium

  * New upstream version.
  * d/control: Align (Build-)Depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 06 Jan 2017 13:29:26 -0500

python-oslo.messaging (5.15.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.
 
 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 16 Dec 2016 10:44:26 -0500

python-oslo.messaging (5.14.0-0ubuntu1) zesty; urgency=medium

  * New upstream version.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 07 Dec 2016 10:37:38 -0500

python-oslo.messaging (5.13.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 02 Dec 2016 12:22:35 -0500

python-oslo.messaging (5.11.0-1ubuntu1) zesty; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Chuck Short ]
  * New upstream version. 
  * debian/control: Bump version depdencies

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 25 Oct 2016 10:27:23 -0400

python-oslo.messaging (5.10.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release.
  * Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 02 Sep 2016 10:17:36 -0400

python-oslo.messaging (5.9.0-1) experimental; urgency=medium

  [ Thomas Goirand ]
  * Using HTTPS for upstream Git.

  [ James Page ]
  * New upstream release.
  * Align (Build-)Depends with upstream.
  * Move runtime dependencies on kafka and zmq to Suggests.
  * Bump minimum version of oslo.serialization to 2.7.0.
  * Avoid use of pifpaf during unit test execution; only used for
    functional testing upstream.
  * Skip TestZmqAckManager tests as they currently FAIL or hang.

 -- James Page <james.page@ubuntu.com>  Thu, 25 Aug 2016 11:58:19 +0100

python-oslo.messaging (5.5.0-1) experimental; urgency=medium

  [ James Page ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

  [ David Della Vecchia ]
  * New upstream release.
  * d/control: Align (build-)depnds with upstream.

  [ Thomas Goirand ]
  * Drop python-oslo-messaging transition package not needed since Xenial is
    released.
  * Switch to pkgos-dh_auto_{test,install}.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Jul 2016 15:20:54 +0000

python-oslo.messaging (5.1.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/remove-git-log-call-in-sphinx-doc.patch: Dropped. Fixed upstream.
  * d/gbp.conf: Update gbp branch config for Newton.
  * d/rules, d/python(3)-oslo.messaging.*: Add update-alternatives support
    for oslo-messaging-zmq-proxy.

  [ Thomas Goirand ]
  * Added Corey Bryant <corey.bryant@canonical.com> as Uploaders.

 -- Thomas Goirand <zigo@debian.org>  Sun, 05 Jun 2016 15:03:58 +0000

python-oslo.messaging (4.6.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 09:16:49 +0000

python-oslo.messaging (4.6.1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 02 Apr 2016 14:30:34 +0200

python-oslo.messaging (4.5.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Mar 2016 10:56:14 +0100

python-oslo.messaging (4.5.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fixed debian/copyright order.
  * Standards-Version: 3.9.7 (no change).
  * Added remove-git-log-call-in-sphinx-doc.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Mar 2016 12:59:50 +0000

python-oslo.messaging (4.0.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * d/control: Set minimum kombu version to 3.0.30 due to:
    https://github.com/celery/kombu/issues/545.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed MANIFEST.in patches.
  * Run Python 3 tests in python 3.5 as well.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Jan 2016 02:43:30 +0000

python-oslo.messaging (3.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed do-not-run-toplevel-test.patch.
  * Upstream has renamed oslo-messaging-zmq-receiver into
    oslo-messaging-zmq-broker, fixing the package to follow on.

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Dec 2015 12:08:25 +0100

python-oslo.messaging (2.5.0-2) unstable; urgency=medium

  * override_dh_python3 to fix Py3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Oct 2015 23:26:32 +0000

python-oslo.messaging (2.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * python-oslo-messaging transition package in priority extra.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 20:07:13 +0000

python-oslo.messaging (2.1.0-2) experimental; urgency=medium

  * Override dh_auto_clean to make sure it doesn't fetch pbr.
  * Disable some test which are too fragile (ie: timing issues):
    - drivers.test_impl_rabbit.TestSendReceive.test_send_receive
    - drivers.test_impl_rabbit.TestSendReceive.test_send_receive

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Sep 2015 11:27:55 +0200

python-oslo.messaging (2.1.0-1) experimental; urgency=medium

  [ James Page ]
  * d/p/use-mox3.patch: Cherry pick fix from upstream VCS to directly
    use mox3 instead of using an import of mox from six.moves, resolving
    FTBFS due to changes in oslotest.
  * Fixup typo in transitional package description (LP: #1471561).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed upstream VCS url.
  * Fixed (build-)depends for this release.
  * Blacklist 3 failed unit tests.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Jul 2015 09:19:43 +0000

python-oslo.messaging (1.14.0-1) experimental; urgency=medium

  [ James Page ]
  * Team upload.
  * New upstream release.

  [ Thomas Goirand ]
  * Make the build reproducible. Thanks to Juan Picca <jumapico@gmail.com> for
    the bug report and patch (Closes: #788480).
  * Added python3 support.
  * Added oslo-messaging-zmq-receiver.init sysv-rc script.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Jun 2015 23:37:49 +0200

python-oslo.messaging (1.13.0-1) experimental; urgency=medium

  * New upstream release:
    - d/control: Align version requirements and dependencies with upstream.
  * Add myself to Uploaders.
  * Ensure that unit test failures result in a package build failure.
  * Add new binary package for oslo-messaging-zmq-receiver.
  * Explicitly install python to python-oslo.messaging.
  * Rename source package to python-oslo.messaging.
  * Re-align with Ubuntu:
    - d/control: Add Breaks/Replaces and transitional package for
      python-oslo-messaging in Ubuntu.
  * d/*: wrap-and-sort.

 -- James Page <james.page@ubuntu.com>  Tue, 09 Jun 2015 08:52:35 +0100

oslo.messaging (1.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed (build-)depends for this release.
  * Standards-Version: bump to 3.9.6 (no change).

 -- Thomas Goirand <zigo@debian.org>  Thu, 16 Apr 2015 09:21:46 +0200

oslo.messaging (1.4.1-2) experimental; urgency=medium

  * Added remove-PROTOCOL_SSLv3.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Nov 2014 10:01:03 +0000

oslo.messaging (1.4.1-1) experimental; urgency=medium

  * New upstream release, which is in fact the same as 1.4.0, though this fixes
    the mess with version numbers. Thanks a lot to Doug Hellmann for it.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Sep 2014 15:12:40 +0000

oslo.messaging (1.4.0.0-2) experimental; urgency=medium

  * Uploading to experimental. Version 1.4 should never have been uploaded
    to unstable, so repairing this.

 -- Thomas Goirand <zigo@debian.org>  Sun, 21 Sep 2014 16:01:44 +0000

oslo.messaging (1.4.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Note that this really is 1.4.0, though because of previous upload to
    Debian using 1.4.0.0~a4 (which should have been 1.4.0~a4), then we do need
    to use that version number.
  * Updated (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 21 Sep 2014 22:26:34 +0800

oslo.messaging (1.4.0.0~a4-1) unstable; urgency=medium

  * New upstream release.
  * Updated required version for python{3,}-six.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 Aug 2014 19:09:30 +0800

oslo.messaging (1.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Apr 2014 20:10:04 +0800

oslo.messaging (1.3.0~a9-1) experimental; urgency=medium

  * New upstream release.
  * Standards-Version: is now 3.9.5.
  * Updated (build-)dependency.
  * Better usage of testr/subunit.
  * Refreshed no-intersphinx.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Mar 2014 17:10:55 +0800

oslo.messaging (1.3.0~a5-1) unstable; urgency=medium

  * New upstream release.
  * Fixed sphinxdoc build.
  * Fixed all (build-)depends for the new version.

 -- Thomas Goirand <zigo@debian.org>  Tue, 28 Jan 2014 15:10:21 +0800

oslo.messaging (1.2.0~a11-2) unstable; urgency=low

  * Added missing build-depends: openstack-pkg-tools (Closes: #724090).

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Sep 2013 10:03:12 +0800

oslo.messaging (1.2.0~a11-1) unstable; urgency=low

  * Initial release (Closes: #721511).

 -- Thomas Goirand <zigo@debian.org>  Sun, 01 Sep 2013 21:27:09 +0800

